vec2resno {bio3d} | R Documentation

## Replicate Per-residue Vector Values

### Description

Replicate values in one vector based on consecutive entries in a second vector. Useful for adding per-residue data to all-atom PDB files.

### Usage

    vec2resno(vec, resno)

### Arguments

`vec` | a vector of values to be replicated.
`resno` | a reference vector or a PDB structure object, obtained from `read.pdb`, upon which replication is based.

### Details

This function can aid in mapping data to PDB structure files. For example, residue conservation per position (or any other one value per residue data) can be replicated to fit the B-factor field of an all atom PDB file which can then be rendered according to this field in a molecular viewer.

A basic check is made to ensure that the number of consecutively unique entries in the reference vector equals the length of the vector to be replicated.

### Value

Returns a vector of replicated values.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.pdb`, `atom.select`, `write.pdb`

### Examples

    vec2resno(c("a","b"), c(1,1,1,1,2,2))

[Package bio3d version 2.3-4 Index]